Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.features.interval29
Class ReferenceBasePredictorInterval29Base

    java.lang.Object
      calhoun.analysis.crf.AbstractFeatureManager<java.lang.Character>
          calhoun.analysis.crf.features.interval29.ReferenceBasePredictorInterval29Base

All Implemented Interfaces:
  FeatureManager<java.lang.Character>, java.io.Serializable

Direct Known Subclasses:
  ReferenceBasePredictorInterval29, ReferenceBasePredictorNodeOnlyInterval29, ReferenceBasePredictorZeroPadInterval29

    public abstract class ReferenceBasePredictorInterval29Base

extends AbstractFeatureManager<java.lang.Character>

See Also:
  Serialized Form

Constructor Summary
`ReferenceBasePredictorInterval29Base()`

Method Summary
`void` | `evaluateNode(InputSequence<? extends java.lang.Character> seq, int pos, int state, FeatureList result)`
`java.lang.String` | `getFeatureName(int featureIndex)` Returns a human identifiable name for the feature referenced by a given index.
`int` | `getNumFeatures()` Returns the number of features maintained by this `FeatureManager`.
`boolean` | `isMultipleFeatures()` if true, a separate feature index is used for each state, creating 21 weights instead of 1.
`void` | `setMultipleFeatures(boolean weightPerState)`
`void` | `train(int startingIndex, ModelManager modelInfo, java.util.List<? extends TrainingSequence<? extends java.lang.Character>> data)` Provides access to the entire training set so that FeatureManager can compute global properties and assign feature indices.

Methods inherited from class calhoun.analysis.crf.AbstractFeatureManager
`getCacheStrategy, getInputComponent, setInputComponent`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReferenceBasePredictorInterval29Base

    public ReferenceBasePredictorInterval29Base()

Method Detail

### getFeatureName

    public java.lang.String getFeatureName(int featureIndex)

  Description copied from interface: `FeatureManager`
  Returns a human identifiable name for the feature referenced by a given index. Used for display purposes only.

  Parameters:
    `featureIndex` - the index of this feature
  Returns:
    the human readable name of this feature

### getNumFeatures

    public int getNumFeatures()

  Description copied from interface: `FeatureManager`
  Returns the number of features maintained by this `FeatureManager`. This number must be fixed after the call to trainFeatures is complete.

  Returns:
    number of features managed by this `FeatureManager`

### train

    public void train(int startingIndex,
                      ModelManager modelInfo,
                      java.util.List<? extends TrainingSequence<? extends java.lang.Character>> data)

  Description copied from interface: `FeatureManager`
  Provides access to the entire training set so that FeatureManager can compute global properties and assign feature indices. This will be called before any evaluations are requested. If the FeatureManager can have a variable number of features, this must be fixed within this method.

  Parameters:
    `startingIndex` - the feature index of the first feature owned by this FeatureManager. Each FeatureManager must use up consecutive indexes, so the last index used will be startingIndex + numFeatures - 1.
    `modelInfo` - the model that contains this feature
    `data` - the full list of training sequences to use to train the feature

### evaluateNode

    public void evaluateNode(InputSequence<? extends java.lang.Character> seq,
                             int pos,
                             int state,
                             FeatureList result)

### isMultipleFeatures

    public boolean isMultipleFeatures()

  if true, a separate feature index is used for each state, creating 21 weights instead of 1.

  Returns:
    returns true if a separate feature index is used for each state

### setMultipleFeatures

    public void setMultipleFeatures(boolean weightPerState)

  Parameters:
    `multipleFeatures` - The multipleFeatures to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD